<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="2.0" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:tei="http://www.tei-c.org/ns/1.0">
 
    <xsl:template match="/">
        <fo:root>
            <fo:layout-master-set>
                <fo:simple-page-master master-name="firstPage"
                    page-height="297mm" page-width="210mm" 
                    margin-left="12mm" margin-right="12mm" 
                    margin-top="20mm" margin-bottom="20mm">
                    <fo:region-body margin-top="25mm" margin-bottom="20mm"/>
                    <fo:region-before extent="25mm"/>
                    <fo:region-after extent="20mm"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            <fo:page-sequence master-reference="firstPage">
                <fo:flow flow-name="xsl-region-body">
                    <fo:block font-size="14pt"><xsl:value-of select="//tei:title" /></fo:block>
                    <xsl:apply-templates select="//tei:lg"/>
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>
    
    <xsl:template match="tei:lg">
        <fo:block-container font-size="12pt" margin-left="5mm" margin-bottom="5mm">
            <xsl:apply-templates select="tei:l" />
        </fo:block-container>
    </xsl:template>
    
    <xsl:template match="tei:l">
        <fo:block>
            <xsl:value-of select="." />
        </fo:block>
    </xsl:template>
    
</xsl:stylesheet>